using System.Collections.Generic;

namespace Wizard;

public class AIPlayOutAction
{
	public int UseCardIndex { get; private set; }

	public AIOperationType Command { get; private set; }

	public List<BattleCardBase> TargetCardList { get; private set; }

	public AIPlayOutAction(AIOperationType command, BattleCardBase useCard, List<BattleCardBase> targetCards)
	{
		Command = command;
		if (useCard != null)
		{
			UseCardIndex = useCard.Index;
		}
		else
		{
			UseCardIndex = -1;
		}
		TargetCardList = new List<BattleCardBase>();
		if (targetCards != null && targetCards.Count > 0)
		{
			TargetCardList.AddRange(targetCards);
		}
	}
}
